package org.rcisoft.business.opmTopic.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.opmTopic.entity.OpmTopic;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午1:42:40.
 * @author wangFeilong
 */

public interface OpmTopicRepository extends CyBaseMapper<OpmTopic> {


    List<OpmTopic> queryOpmTopic(@Param("entity") OpmTopic opmTopic);

    /**
    * 分页查询 cmsActivity
    *
    */
    IPage<OpmTopic> queryOpmTopicPaged(CyPageInfo cyPageInfo, @Param("entity") OpmTopic opmTopic);
    //根据id逻辑删除
    int deleteOpmTopic(@Param("businessId")Integer businessId);
    //修改状态
    int updateStatus(@Param("entity") OpmTopic opmTopic);

    //修改审核状态
    int updateExamStatus(@Param("entity") OpmTopic opmTopic);
    int updateNoExamStatus(@Param("entity") OpmTopic opmTopic);

    OpmTopic selectById(@Param("businessId")Integer businessId);
    //权重验重
    OpmTopic checkWeight(@Param("weight")Integer weight);

}

